( function( $ ) {

	$( document ).ready(function($){

        // Trigger mobile menu.
        $('#mobile-trigger').sidr({
        	timing: 'ease-in-out',
        	speed: 500,
        	source: '#mob-menu',
        	name: 'sidr-main'
        });

		if ( 1 === parseInt( Travel_Eye_Custom_Options.wow_status, 10 ) ) {
			new WOW().init();
		}

		// Implement go to top.
		if ( 1 === parseInt( Travel_Eye_Custom_Options.go_to_top_status, 10 ) ) {
			$( window ).on( 'scroll',function(){
				if ( $( this ).scrollTop() > 100 ) {
					$( '#btn-scrollup' ).fadeIn();
				} else {
					$( '#btn-scrollup' ).fadeOut();
				}
			});

			$( '#btn-scrollup' ).on( 'click',function(){
				$( 'html, body' ).animate( { scrollTop: 0 }, 600 );
				return false;
			});
		} // End if go to top.

		// Implement sticky menu.
		if ( 1 === parseInt( Travel_Eye_Custom_Options.sticky_primary_menu_status, 10 ) ) {
			$( window ).on( 'scroll',function () {
				if ( $( window ).scrollTop() > $( '.site-header' ).offset().top && ! ($( '.site-header' ).hasClass( 'fixed' ))) {
					$( '.site-header' ).addClass( 'fixed' );
				} else if ( 0 === $( window ).scrollTop() ) {
					$( '.site-header' ).removeClass( 'fixed' );
				}
			});
		} // End if sticky menu.

	});

} )( jQuery );
